import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function dispatchListDispatch(data) {
  return request({
    url: `/dispatch/listDispatch?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function dispatchListDispatchExport(data, name) {
  return postBlob({
    url: '/dispatch/listDispatch/export',
    data,
    name
  })
}

export function dispatchDelDispatch(params) {
  return request({
    url: '/dispatch/delDispatch',
    method: 'post',
    params
  })
}

export function dispatchImport(data) {
  return handleImport('/dispatch/import', data.formdata, data.id || '')
}
